Skip to main content
GET
/
v0
/
pages
List pages
curl --request GET \
  --url https://api.tryarchitect.com/v0/pages \
  --header 'x-api-key: <api-key>'
{
  "hasMore": true,
  "items": [
    {
      "actions": [
        {
          "actionId": "<string>",
          "actionIndex": 123,
          "purpose": "<string>",
          "buttonTitle": "<string>",
          "actionType": "<string>",
          "url": "<string>"
        }
      ],
      "actionCardWidgets": [
        {
          "type": "<string>",
          "title": "<string>",
          "logos": [
            {
              "image": {
                "altText": "<string>",
                "url": "<string>",
                "fileId": "<string>",
                "assetId": "<string>"
              }
            }
          ]
        }
      ],
      "archivedAt": "<string>",
      "audiencesCount": 4503599627370495,
      "brandId": "<string>",
      "createdAt": "<string>",
      "deletedAt": "<string>",
      "footerLinks": [
        {
          "links": [
            {
              "text": "<string>",
              "url": "<string>",
              "id": "<string>"
            }
          ],
          "title": "<string>",
          "id": "<string>"
        }
      ],
      "name": "<string>",
      "pageContext": "<string>",
      "pageId": "<string>",
      "pageType": "inbound",
      "scripts": [
        {
          "content": "<string>",
          "enabled": true,
          "injectionPoint": "head",
          "name": "<string>",
          "description": "<string>"
        }
      ],
      "status": "archived",
      "title": "<string>",
      "updatedAt": "<string>",
      "headerActionId": "<string>",
      "metadata": {
        "title": "<string>",
        "description": "<string>",
        "keywords": [
          "<string>"
        ],
        "author": "<string>",
        "robots": [
          "index"
        ],
        "canonicalUrl": "<string>",
        "ogTitle": "<string>",
        "ogDescription": "<string>",
        "ogType": "website",
        "ogImageUrl": "<string>",
        "ogImageFileId": "<string>",
        "ogImageAlt": "<string>",
        "ogSiteName": "<string>",
        "ogUrl": "<string>",
        "twitterCard": "summary",
        "twitterTitle": "<string>",
        "twitterDescription": "<string>",
        "twitterImageUrl": "<string>",
        "twitterImageFileId": "<string>",
        "twitterImageAlt": "<string>",
        "twitterSite": "<string>",
        "twitterCreator": "<string>",
        "themeColor": "<string>"
      }
    }
  ],
  "nextCursor": "<string>",
  "totalCount": 4503599627370495
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Query Parameters

cursor
string

cursor parameter

limit
number

limit parameter

Response

Successful operation

hasMore
boolean
required
items
object[]
required
nextCursor
string | null
required
totalCount
integer
required
Required range: 0 <= x <= 9007199254740991